module Generators
  module Admin
    class SettingsController < ApplicationController

      def show
        @setting = Generators.settings
      end

      def update
        @setting = Generators.settings
        if @setting.update_attributes(setting_params)
          flash[:notice] = 'Settings successfully updated.'
        else
          flash[:error] = 'There was a problem saving your settings.'
        end

        render :show
      end

      private

      def setting_params
        params.require(:setting).permit!
      end

    end
  end
end
